Subject: report ERROR in RFC791

From: Damien MATTEI <[email-masked]>
Date: Wed, 03 Jan 2007 16:40:41 +0100

Hello,

I report an error in RFC791.
It could be a typo but on a numerical number as it concern binary number 
and this number is wrong.

In  RFC 791 : INTERNET PROTOCOL,
section 3 :SPECIFICATION,
sub-section 3.1: Internet Header Format
page 21, in the description of the Stream Identifier
there is a table and in the second cell a binary number

which says:  00000010

it should say:  00000100

below is the whole table:
the table say:

        +--------+--------+--------+--------+
        |10001000|00000010|    Stream ID    |
        +--------+--------+--------+--------+
         Type=136 Length=4

it should say:

        +--------+--------+--------+--------+
        |10001000|00000100|    Stream ID    |
        +--------+--------+--------+--------+
         Type=136 Length=4

Rationale:

This number count the length which is 4 and not 2.
10 in binary is 2 in decimal, 100 in binary is 4 in decimal.

The option-length octet counts the option-type octet and the 
option-length octet as well as the option-data octets.(see page 15)
The length is 4 for the Stream identifier option as we have 4 bytes and 
it is well written in page 16 of RFC 791:

The following internet options are defined:

      CLASS NUMBER LENGTH DESCRIPTION
      ----- ------ ------ -----------
        0     0      -    End of Option list.  This option occupies only
                          1 octet; it has no length octet.
        0     1      -    No Operation.  This option occupies only 1
                          octet; it has no length octet.
        0     2     11    Security.  Used to carry Security,
                          Compartmentation, User Group (TCC), and
                          Handling Restriction Codes compatible with DOD
                          requirements.
        0     3     var.  Loose Source Routing.  Used to route the
                          internet datagram based on information
                          supplied by the source.
        0     9     var.  Strict Source Routing.  Used to route the
                          internet datagram based on information
                          supplied by the source.
        0     7     var.  Record Route.  Used to trace the route an
                          internet datagram takes.
        0     8      4    Stream ID.  Used to carry the stream
                          identifier.
        2     4     var.  Internet Timestamp.

Best regards,

Damien MATTEI

-- 
Damien MATTEI                        [email-masked]
Departement Gemini - UMR6203         http://www.oca.eu/
Observatoire de la Cote d'Azur       Nice-Grasse-Caussols FRANCE